/* GLOBAL STYLES
-------------------------------------------------- */
/* Padding below the footer and lighter body text */
:root {
    --orangeyellow: linear-gradient(
        to left,
        rgb(240, 129, 63),
        rgba(240, 196, 25, 1)
    );
    --yellowgreen: linear-gradient(
        to left,
        rgba(240, 196, 25, 1),
        rgba(78, 186, 111, 1)
    );
    --greenblue: linear-gradient(
        to left,
        rgba(78, 186, 111, 1),
        rgba(45, 149, 191, 1)
    );
    --bluepurple: linear-gradient(
        to left,
        rgba(45, 149, 191, 1),
        rgba(149, 91, 165, 1)
    );
    --purplepink: linear-gradient(
        to left,
        rgba(149, 91, 165, 1),
        rgb(238, 45, 160)
    );
    --pinkorange: linear-gradient(
        to left,
        rgb(238, 45, 160),
        rgb(240, 129, 63)
    );
    --rainbow: linear-gradient(
        -45deg,
        rgb(240, 63, 125),
        rgb(240, 129, 63),
        rgba(240, 196, 25, 1),
        rgb(142, 233, 30),
        rgba(78, 186, 111, 1),
        rgba(45, 149, 191, 1),
        rgba(149, 91, 165, 1),
        rgb(238, 45, 160)
    );
    --rainbow3: linear-gradient(
        -90deg,
        rgb(240, 63, 125),
        rgb(240, 129, 63),
        rgba(240, 196, 25, 1),
        rgb(142, 233, 30),
        rgba(78, 186, 111, 1),
        rgba(45, 149, 191, 1),
        rgba(149, 91, 165, 1),
        rgb(238, 45, 160)
    );
    --rainbow4: linear-gradient(
        -90deg,
        #fa2487,
        #ff6614,
        #ff8a00,
        #ffc500,
        #f3e100,
        #c8ed04,
        #a1e50a,
        #67de29,
        #18d862,
        #0cd49e,
        #00cfbf,
        #0fc5cc,
        #0ebdd4,
        #19ade3,
        #20a0f0,
        #4f89f7,
        #5d70ff,
        #715fff,
        #6559ff,
        #734bfa,
        #7825ff,
        #852cff,
        #9226ff,
        #a20eff,
        #a703ff,
        #b100f3,
        #c113e1,
        #cc00de,
        #e300c9,
        #e300c1,
        #f000b0,
        #fa2487
    );
    --rainbow2: linear-gradient(-90deg, #b824fa, #4f89f7);
}
.screen {
    height: 100vh;
  background: linear-gradient(0deg, #DB2196 0%, #9824F2 33%, #3a86ff 60%, #06ffa5 100%);
	background-attachment: fixed;
    color: white;
    white-space: nowrap;
    display: flex;
    overflow: none;
    justify-content: center;
    z-index: 0;
    padding: 0px;
}
.container-fluid {
    aspect-ratio: 19/34;
    max-height: 100vh;
    border: solid transparent 7px;
    background:
        linear-gradient(rgba(255, 255, 255, 0.75) 0 0) padding-box,
        var(--rainbow3);
    border-image-slice: 1;
    border-radius: 12px;
    overflow: hidden;
    white-space: nowrap;
    object-fit: contain;
    display: grid flex;
    box-sizing: border-box;
    z-index: 1;
    margin: 1px;
    justify-content: space-around;
}
.header_container {
    max-width: 50%;
    max-height: 100%;
    aspect-ratio: 5/1;
    justify-content: center;
    object-fit: contain;
    overflow: hidden;
    white-space: nowrap;
    display: flex;
    border-radius: 10px;
    box-sizing: border-box;
    background:
        linear-gradient(rgba(255, 255, 255, 0) 0 0) padding-box,
        var(--rainbow);
    background-size: 600% 600%;
    animation: insta 120s ease infinite;
    margin: 11px auto;
    margin-top: 5px;
    margin-bottom: 2px;
    grid-column: 1;
    grid-row: 1;
    padding: 1px;
}
#logo {
       max-width: 100%;
    max-height: 100%;
    aspect-ratio: 5/1;
    object-fit: scale-down;
    justify-content: center;
}
.header_container2 {
    max-width: 20%;
    aspect-ratio: 5/1;
    justify-content: right;
    object-fit: contain;
    overflow: hidden;
    white-space: nowrap;
    display: flex;
    border-radius: 10px;
    border: solid transparent 4px;
    box-sizing: border-box;
    background:
        linear-gradient(rgb(255, 255, 255, 0.5) 0 0) padding-box,
        var(--rainbow);
    margin: 11px;
    margin-top: 10px;
    margin-bottom: 0;
    grid-column: 1;
    grid-row: 1;
}
.text_container {
    display: flex;
    max-width: 100%;
    overflow: hidden;
    white-space: nowrap;
    margin: auto;
    object-fit: contain;
}
.prev,
.next {
    cursor: pointer;
    background: rgba(255, 255, 255, 0);
    width: 13vh;
    color: rgba(255, 255, 255, 0.5);
    font-weight: bold;
    font-size: 20px;
    transition: 0.6s ease;
    text-align: center;
    z-index: 999;
    grid-column: 1;
    grid-row: 1;
    justify-self: left;
    margin: 3px;
    max-height: 100%;
    border: none;
    box-shadow: none;
    align-content: center;
}
.next {
    justify-self: right;
}
.image-container {
    max-width: 100%;
    max-height: 100%;
    aspect-ratio: 11/17;
    overflow: hidden;
    white-space: nowrap;
    justify-content: center;
    border: solid transparent 4px;
    background: var(--rainbow4);
    background-size: 400% 400%;
    animation: insta 120s ease infinite;
    border-image-slice: 1;
    border-radius: 5px;
    grid-column: 1;
    grid-row: 2;
    display: grid;
    margin: 0px;
    margin-top: 0;
    margin-bottom: 0;
    box-sizing: border-box;
    z-index: 3;
}
.backgroundLayer {
    max-height: 100%;
    display: flex;
    overflow: hidden;
    white-space: nowrap;
    justify-content: center;
    object-fit: cover;
    margin: auto;
    box-sizing: border-box;
    grid-column: 1;
    grid-row: 1;
    z-index: 2;
}
.imageLayer,
.optional,
.zoom {
    max-height: 100%;
    max-width: 100%;
    overflow: hidden;
    white-space: nowrap;
    justify-content: center;
    object-fit: contain;
    margin: auto;
    grid-column: 1;
    grid-row: 1;
    z-index: 4;
}
.optional {
    display: none;
}
.menu_container {
    max-width: 100%;
    max-height: 100%;
    aspect-ratio: 5/1;
    overflow: hidden;
    white-space: nowrap;
    justify-content: space-around;
    border: solid transparent 2px;
    background:

        var(--rainbow);
    background-size: 600% 600%;
    animation: insta 120s ease infinite;
    border-radius: 5px;
    margin: 0px;
    margin-top: 0;
    grid-column: 1;
    grid-row: 4;
    object-fit: contain;
}
/* On hover, add a grey background color */
.prev:hover,
.next:hover {
    background: rgba(255, 255, 255, 0.4);
    color: black;
}
.button1, .button2 {
    display: flex;
    flex-direction: row;
align-items: center;
    font-size: 12px !important;
        color: white !important;
    text-shadow: 1px 1px purple !important;
    max-width: 25%;
    aspect-ratio: 11/4;
    margin: auto;
    justify-content: center;
    align-content: center;
    object-fit: scale-down;
    float: left;
        border: none;
       background: rgba(255, 255, 255, 0) !important;
        box-shadow: none;
}
button:active {
    border: solid 1px;
}
.button1:hover,
.button2:hover {
    box-shadow: none;
}
.tab {
    display: flex;
    justify-content: space-around;
    max-width: 100%;
    color: white !important;
    
    font-size: auto;
    aspect-ratio: 14/1;
   
    grid-column: 1;
    grid-row: 1;
    background-color: aqua;
    overflow: hidden;
    border: none;
}
.tabcontent {
    display: none;
    padding: 3px 3px;
    border: none;
    border-top: none;

}
.tab button.active {

            color: white !important;
        text-shadow: 1px 1px purple !important;
        font-size: 12px !important;
}
/* Change background color of buttons on hover */
.tab button:hover {
    background-color: #ddd;
}
.tablink {
    background-color: #b33030;
    color: pink !important;
            text-shadow: 1px 1px black !important;
    
    font-size: 12px !important;
    display: flex;
    max-height: 100%;
    margin: auto;
    justify-content: center;
    align-content: center;
    object-fit: contain;
    padding: 1px;
    border: 1px solid white;
}
#Body {
    background: var(--purplepink);
}
#Face {
    background: var(--bluepurple);
}
#Clothes {
    background: var(--greenblue);
}
#Makeup {
    background: var(--yellowgreen);
}
#Hair {
    background: var(--orangeyellow);
}
#Extra {
    background: var(--pinkorange);
}

@keyframes insta {
    0% {
        background-position: 0% 50%;
    }
    50% {
        background-position: 100% 50%;
    }
    100% {
        background-position: 0% 50%;
    }
}

